Skip to main content
GET
/
clearloop
/
actions
Get ClearLoop Actions
curl --request GET \
  --url https://api.copper.co/platform/clearloop/actions
{
  "actions": [
    {
      "action": "<string>",
      "amount": "<string>",
      "clientAccountId": "<string>",
      "createdAt": "<string>",
      "currency": "<string>",
      "delegatedOrganizationId": "<string>",
      "organizationId": "<string>",
      "clearLoopPortfolioId": "<string>",
      "completedAt": "<string>",
      "network": "<string>",
      "orderId": "<string>",
      "status": "<string>",
      "updatedAt": "<string>",
      "usdAmount": "<string>"
    }
  ],
  "pagination": {
    "limit": "<string>",
    "page": "<string>",
    "pages": "<string>",
    "totalItems": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.copper.co/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

fromTimestamp
string

Unix timestamp (in milliseconds) to retrieve records from this point in time

toTimestamp
string

Unix timestamp (in milliseconds) to retrieve records up to this point in time

clientAccountId
string

Unique identifier of the exchange account for which records are retrieved

portfolioIds
string[]

List of Copper portfolio IDs to filter records

actionType
string

Type of action: add-funds (delegate to the exchange) or remove-funds (undelegate from the exchange)

limit
string

Maximum number of records to return (pagination limit)

offset
string

Number of records to skip before starting to return results (pagination offset)

sortDirection
string
default:asc

Sort order for results: asc for ascending or desc for descending

filterExecuted
boolean
default:false

If true, only return records for actions that have been successfully executed (i.e., funds have been successfully added or removed).If false, include all records regardless of execution status

Response

OK

actions
object[]
required

Wrapper containing an array of delegation and undelegation action records

pagination
object

Object containing pagination-related info